<?php

namespace App\Enums;

enum PaymentTypeEnum: string
{
    case DEPOSIT = 'deposit';

    public function label(): string
    {
        return match ($this) {
            self::DEPOSIT => 'Deposit',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::DEPOSIT => 'success',
            default => 'warning',
        };
    }

    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
